import request from '@/utils/request'

// 订单表列表
export function apiStoreOrderLists(params: any) {
    return request.get({ url: '/store_order/storeorder/lists', params })
}

// 添加订单表
export function apiStoreOrderAdd(params: any) {
    return request.post({ url: '/store_order/storeorder/add', params })
}

// 编辑订单表
export function apiStoreOrderEdit(params: any) {
    return request.post({ url: '/store_order/storeorder/edit', params })
}

// 删除订单表
export function apiStoreOrderDelete(params: any) {
    return request.post({ url: '/store_order/storeorder/delete', params })
}

// 订单表详情
export function apiStoreOrderDetail(params: any) {
    return request.get({ url: '/store_order/storeorder/detail', params })
}

// 订单商品详情
export function apiStoreOrderCartInfo(params: any) {
    return request.get({ url: '/store_order_cart_info/StoreOrderCartInfo/lists', params })
}

export function apiStoreOrderTitle() {
    return request.get({ url: '/store_order/storeOrder/title' })
}

// 退款订单列表
export function apiStoreRefundOrderLists(params: any) {
    return request.get({ url: '/store_order/StoreOrder/refund_order', params })
}

// 退款订单详情
export function apiStoreRefundOrderDetail(params: any) {
    return request.get({ url: '/store_order/storeRefundOrder/detail', params })
}

